from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XTransferDataAccess(XInterface, Protocol):
    def queryDataSize(self, aFlavorList: sequence < DataFlavor >) -> int: ...
    def getData(self, aFlavorList: sequence < DataFlavor >) -> sequence < any >: ...
